ALAS-2014-393


Amazon Linux AMI Security Advisory: ALAS-2014-393
Advisory Release Date: 2014-09-19 12:00 Pacific
Severity: Medium

Issue Overview:

A denial of service flaw was found in the way the File Information (fileinfo) extension parsed certain Composite Document Format (CDF) files. A remote attacker could use this flaw to crash a PHP application using fileinfo via a specially crafted CDF file.

acinclude.m4, as used in the configure script in PHP 5.5.13 and earlier, allows local users to overwrite arbitrary files via a symlink attack on the /tmp/phpglibccheck file.

A buffer over-read flaw was found in the way the DateInterval class parsed interval specifications. An attacker able to make a PHP application parse a specially crafted specification using DateInterval could possibly cause the PHP interpreter to crash.

A heap-based buffer overflow flaw was found in the way PHP parsed DNS TXT records. A malicious DNS server or a man-in-the-middle attacker could possibly use this flaw to execute arbitrary code as the PHP interpreter if a PHP application used the dns_get_record() function to perform a DNS query.

A type confusion issue was found in the SPL ArrayObject and SPLObjectStorage classes' unserialize() method. A remote attacker able to submit specially crafted input to a PHP application, which would then unserialize this input using one of the aforementioned methods, could use this flaw to execute arbitrary code with the privileges of the user running that PHP application.


Affected Packages:

php


Issue Correction:
Run yum update php to update your system.

New Packages:
i686:
    php-enchant-5.3.29-1.7.amzn1.i686
    php-5.3.29-1.7.amzn1.i686
    php-devel-5.3.29-1.7.amzn1.i686
    php-xmlrpc-5.3.29-1.7.amzn1.i686
    php-bcmath-5.3.29-1.7.amzn1.i686
    php-fpm-5.3.29-1.7.amzn1.i686
    php-tidy-5.3.29-1.7.amzn1.i686
    php-embedded-5.3.29-1.7.amzn1.i686
    php-mysql-5.3.29-1.7.amzn1.i686
    php-xml-5.3.29-1.7.amzn1.i686
    php-mcrypt-5.3.29-1.7.amzn1.i686
    php-snmp-5.3.29-1.7.amzn1.i686
    php-pspell-5.3.29-1.7.amzn1.i686
    php-mssql-5.3.29-1.7.amzn1.i686
    php-ldap-5.3.29-1.7.amzn1.i686
    php-intl-5.3.29-1.7.amzn1.i686
    php-odbc-5.3.29-1.7.amzn1.i686
    php-debuginfo-5.3.29-1.7.amzn1.i686
    php-pdo-5.3.29-1.7.amzn1.i686
    php-mbstring-5.3.29-1.7.amzn1.i686
    php-gd-5.3.29-1.7.amzn1.i686
    php-recode-5.3.29-1.7.amzn1.i686
    php-pgsql-5.3.29-1.7.amzn1.i686
    php-imap-5.3.29-1.7.amzn1.i686
    php-cli-5.3.29-1.7.amzn1.i686
    php-soap-5.3.29-1.7.amzn1.i686
    php-process-5.3.29-1.7.amzn1.i686
    php-dba-5.3.29-1.7.amzn1.i686
    php-common-5.3.29-1.7.amzn1.i686
    php-mysqlnd-5.3.29-1.7.amzn1.i686

src:
    php-5.3.29-1.7.amzn1.src

x86_64:
    php-debuginfo-5.3.29-1.7.amzn1.x86_64
    php-tidy-5.3.29-1.7.amzn1.x86_64
    php-enchant-5.3.29-1.7.amzn1.x86_64
    php-5.3.29-1.7.amzn1.x86_64
    php-pdo-5.3.29-1.7.amzn1.x86_64
    php-mcrypt-5.3.29-1.7.amzn1.x86_64
    php-mssql-5.3.29-1.7.amzn1.x86_64
    php-cli-5.3.29-1.7.amzn1.x86_64
    php-recode-5.3.29-1.7.amzn1.x86_64
    php-ldap-5.3.29-1.7.amzn1.x86_64
    php-dba-5.3.29-1.7.amzn1.x86_64
    php-xml-5.3.29-1.7.amzn1.x86_64
    php-intl-5.3.29-1.7.amzn1.x86_64
    php-snmp-5.3.29-1.7.amzn1.x86_64
    php-embedded-5.3.29-1.7.amzn1.x86_64
    php-xmlrpc-5.3.29-1.7.amzn1.x86_64
    php-imap-5.3.29-1.7.amzn1.x86_64
    php-devel-5.3.29-1.7.amzn1.x86_64
    php-bcmath-5.3.29-1.7.amzn1.x86_64
    php-odbc-5.3.29-1.7.amzn1.x86_64
    php-soap-5.3.29-1.7.amzn1.x86_64
    php-mysql-5.3.29-1.7.amzn1.x86_64
    php-mysqlnd-5.3.29-1.7.amzn1.x86_64
    php-mbstring-5.3.29-1.7.amzn1.x86_64
    php-pgsql-5.3.29-1.7.amzn1.x86_64
    php-gd-5.3.29-1.7.amzn1.x86_64
    php-process-5.3.29-1.7.amzn1.x86_64
    php-fpm-5.3.29-1.7.amzn1.x86_64
    php-common-5.3.29-1.7.amzn1.x86_64
    php-pspell-5.3.29-1.7.amzn1.x86_64